%define        javahome    /usr/lib/jvm/java
Name:          lucene2
Version:       2.4.1
Release:       %mkrel 1
Summary:       High-performance, full-featured text search engine
License:       ASL 2.0
URL:           http://lucene.apache.org/
Group:         Development/Java
Source0:       http://archive.apache.org/dist/lucene/java/lucene-2.4.1-src.tar.gz
Source1:       lucene-1.9-OSGi-MANIFEST.MF
Source2:       lucene-1.9-analysis-OSGi-MANIFEST.MF

Patch0:        lucene-2.4.1-db-javadoc.patch
Patch1:        lucene-2.4.1-fixmanifests.patch
Patch2:        lucli-remove-classpath.patch
Patch3:        lucene-2.4.1-Xmax.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: regexp
BuildRequires: javacc
BuildRequires: jline
BuildRequires: jtidy
BuildRequires: junit

BuildRequires: db3
BuildRequires: db4.8

BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

BuildRequires: zip

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

%package contrib
Summary:       %{name} contributed extensions
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}

%description contrib
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

This package contains %{name} contributed extensions

%package demo
Summary:       %{name} demonstration library
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}

%description demo
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

This package contains %{name} demonstration library

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

This package contains javadoc for %{name}

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
Jakarta Lucene is a high-performance, full-featured text search engine
written entirely in Java. It is a technology suitable for nearly any
application that requires full-text search, especially cross-platform.

This package contains manual for %{name}.

%prep
%setup -q -n lucene-%{version}

find . -name "*.jar" -exec rm -f {} \;

%patch0 -p1 -b .db-javadoc
%patch1 -p1 -b .fixmanifests
%patch2
%patch3 -p1

for c in $(find . -name "*pom.xml.template"); do
  sed -i "s|@version@|%{version}|" $c
done

iconv --from=ISO-8859-1 --to=UTF-8 CHANGES.txt > CHANGES.txt.new 

%build
mkdir -p docs
mkdir -p lib
unset JAVA_HOME
export JAVA_HOME=%{javahome}
export CLASSPATH=$(build-classpath db3 db4.8 jline jtidy regexp commons-digester \
	commons-collections commons-logging xerces-j2 junit xml-commons-apis ant/ant-junit)

ant -Dbuild.sysclasspath=first \
  -Djavacc.home=%{_bindir}/javacc \
  -Djavacc.jar=%{_javadir}/javacc.jar \
  -Djavacc.jar.dir=%{_javadir} \
  -Dversion=%{version} \
  -Djavadoc.link=%{_javadocdir}/java \
  package

mkdir META-INF
cp %{SOURCE1} META-INF/MANIFEST.MF
zip -u build/lucene-core-%{version}.jar META-INF/MANIFEST.MF
cp %{SOURCE2} META-INF/MANIFEST.MF
zip -u build/contrib/analyzers/lucene-analyzers-%{version}.jar META-INF/MANIFEST.MF

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 build/lucene-core-%{version}.jar %{buildroot}%{_javadir}/lucene2-%{version}.jar
install -m 644 build/lucene-demos-%{version}.jar  %{buildroot}%{_javadir}/lucene2-demos-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf lucene2-%{version}.jar lucene2-core-%{version}.jar
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadir}/lucene2-contrib

for c in analyzers ant benchmark highlighter instantiated lucli memory queries regex similarity snowball spellchecker surround swing wikipedia wordnet xml-query-parser; do
  install -m 644 build/contrib/$c/lucene-${c}-%{version}.jar %{buildroot}%{_javadir}/lucene2-contrib
  install -m 0644 contrib/$c/pom.xml.template %{buildroot}%{_mavenpomdir}/JPP.lucene2-contrib-lucene-$c.pom
  %add_to_maven_depmap org.apache.lucene lucene-$c %{version} JPP/lucene2-contrib lucene-$c
done

install -m 644 build/contrib/misc/lucene-misc-%{version}.jar %{buildroot}%{_javadir}/lucene2-contrib
install -m 0644 contrib/miscellaneous/pom.xml.template %{buildroot}%{_mavenpomdir}/JPP.lucene2-contrib-lucene-misc.pom
%add_to_maven_depmap org.apache.lucene lucene-misc %{version} JPP/lucene2-contrib lucene-misc

for c in bdb bdb-je; do
  install -m 644 build/contrib/db/$c/lucene-${c}-%{version}.jar %{buildroot}%{_javadir}/lucene2-contrib
  install -m 0644 contrib/db/$c/pom.xml.template %{buildroot}%{_mavenpomdir}/JPP.lucene2-contrib-lucene-$c.pom
  %add_to_maven_depmap org.apache.lucene lucene-$c %{version} JPP/lucene2-contrib lucene-$c
done

(
  cd %{buildroot}%{_javadir}/lucene2-contrib
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

for pom in contrib core demos parent; do
  install -m 0644 lucene-$pom-pom.xml.template %{buildroot}%{_mavenpomdir}/JPP-lucene2-$pom.pom
  %add_to_maven_depmap org.apache.lucene lucene-$pom %{version} JPP lucene2-$pom
done

mkdir -p %{buildroot}%{_javadocdir}/lucene2
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/lucene2

mkdir -p %{buildroot}%{_datadir}/lucene2
install -m 0644 build/luceneweb.war %{buildroot}%{_datadir}/lucene2

rm -rf %{buildroot}/.directory
rm -rf docs/skin/css
rm -rf docs/skin/scripts
rm -rf docs/skin/translations

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/lucene2-%{version}.jar
%{_javadir}/lucene2.jar
%{_javadir}/lucene2-core-%{version}.jar
%{_javadir}/lucene2-core.jar
%{_datadir}/lucene2
%{_mavenpomdir}/JPP*pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGES.txt LICENSE.txt NOTICE.txt README.txt

%files contrib
%{_javadir}/lucene2-contrib/lucene-analyzers-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-analyzers.jar
%{_javadir}/lucene2-contrib/lucene-ant-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-ant.jar
%{_javadir}/lucene2-contrib/lucene-benchmark-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-benchmark.jar
%{_javadir}/lucene2-contrib/lucene-highlighter-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-highlighter.jar
%{_javadir}/lucene2-contrib/lucene-instantiated-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-instantiated.jar
%{_javadir}/lucene2-contrib/lucene-lucli-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-lucli.jar
%{_javadir}/lucene2-contrib/lucene-memory-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-memory.jar
%{_javadir}/lucene2-contrib/lucene-misc-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-misc.jar
%{_javadir}/lucene2-contrib/lucene-queries-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-queries.jar
%{_javadir}/lucene2-contrib/lucene-regex-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-regex.jar
%{_javadir}/lucene2-contrib/lucene-similarity-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-similarity.jar
%{_javadir}/lucene2-contrib/lucene-snowball-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-snowball.jar
%{_javadir}/lucene2-contrib/lucene-spellchecker-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-spellchecker.jar
%{_javadir}/lucene2-contrib/lucene-surround-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-surround.jar
%{_javadir}/lucene2-contrib/lucene-swing-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-swing.jar
%{_javadir}/lucene2-contrib/lucene-wikipedia-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-wikipedia.jar
%{_javadir}/lucene2-contrib/lucene-wordnet-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-wordnet.jar
%{_javadir}/lucene2-contrib/lucene-xml-query-parser-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-xml-query-parser.jar
%{_javadir}/lucene2-contrib/lucene-bdb-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-bdb-je-%{version}.jar
%{_javadir}/lucene2-contrib/lucene-bdb-je.jar
%{_javadir}/lucene2-contrib/lucene-bdb.jar
%doc contrib/CHANGES.txt

%files demo
%{_javadir}/lucene2-demos-%{version}.jar
%{_javadir}/lucene2-demos.jar

%files javadoc
%{_javadocdir}/lucene2

%files manual
%doc docs



%changelog

* Sun Aug 28 2011 dmorgan <dmorgan> 2.4.1-1.mga2
+ Revision: 135811
- BR zip
- Clean spec file to mageia guidelines

  + gil <gil>
    - edit spec file
    - imported package lucene2

